/*
 * This file is generated by jOOQ.
*/
package com.tabajara.base.tables.pojos;


import com.tabajara.base.tables.interfaces.ITanque;

import io.github.jklingsporn.vertx.jooq.shared.internal.VertxPojo;

import java.sql.Date;

import javax.annotation.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "http://www.jooq.org",
        "jOOQ version:3.10.5"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Tanque implements VertxPojo, ITanque {

    private static final long serialVersionUID = 157084627;

    private Integer tanid;
    private String  tanidentificacao;
    private Date    tandatainicio;
    private Integer fkcriacao;

    public Tanque() {}

    public Tanque(Tanque value) {
        this.tanid = value.tanid;
        this.tanidentificacao = value.tanidentificacao;
        this.tandatainicio = value.tandatainicio;
        this.fkcriacao = value.fkcriacao;
    }

    public Tanque(
        Integer tanid,
        String  tanidentificacao,
        Date    tandatainicio,
        Integer fkcriacao
    ) {
        this.tanid = tanid;
        this.tanidentificacao = tanidentificacao;
        this.tandatainicio = tandatainicio;
        this.fkcriacao = fkcriacao;
    }

    @Override
    public Integer getTanid() {
        return this.tanid;
    }

    @Override
    public Tanque setTanid(Integer tanid) {
        this.tanid = tanid;
        return this;
    }

    @Override
    public String getTanidentificacao() {
        return this.tanidentificacao;
    }

    @Override
    public Tanque setTanidentificacao(String tanidentificacao) {
        this.tanidentificacao = tanidentificacao;
        return this;
    }

    @Override
    public Date getTandatainicio() {
        return this.tandatainicio;
    }

    @Override
    public Tanque setTandatainicio(Date tandatainicio) {
        this.tandatainicio = tandatainicio;
        return this;
    }

    @Override
    public Integer getFkcriacao() {
        return this.fkcriacao;
    }

    @Override
    public Tanque setFkcriacao(Integer fkcriacao) {
        this.fkcriacao = fkcriacao;
        return this;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Tanque (");

        sb.append(tanid);
        sb.append(", ").append(tanidentificacao);
        sb.append(", ").append(tandatainicio);
        sb.append(", ").append(fkcriacao);

        sb.append(")");
        return sb.toString();
    }

    // -------------------------------------------------------------------------
    // FROM and INTO
    // -------------------------------------------------------------------------

    /**
     * {@inheritDoc}
     */
    @Override
    public void from(ITanque from) {
        setTanid(from.getTanid());
        setTanidentificacao(from.getTanidentificacao());
        setTandatainicio(from.getTandatainicio());
        setFkcriacao(from.getFkcriacao());
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public <E extends ITanque> E into(E into) {
        into.from(this);
        return into;
    }

    public Tanque(io.vertx.core.json.JsonObject json) {
        this();
        fromJson(json);
    }
}
